%define api 5
%define major 5
%define oname qt5

%define module qtcanvas3d

%define qmlqtcanvas3d %mklibname qt5-qtcanvas3d-qml

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.4
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qmlqtcanvas3d}
Summary:	QML plugin for Qt 5 Canvas 3D module
Group:		System/Libraries
Provides:	qt5-qtcanvas3d-qml = %{EVRD}
Conflicts:	%{_lib}qt5quick5 < 5.6.0

%description -n %{qmlqtcanvas3d}
QML plugin for Qt 5 Canvas 3D module.

%files -n %{qmlqtcanvas3d}
%{_qt5_prefix}/qml/QtCanvas3D/

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtcanvas3d.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt
Conflicts:	qt5-examples < 5.6.0

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/canvas3d/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif


%changelog

* Wed Jan 24 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (ae410ce) New version 5.9.4


